nav .navbar-brand
{
    /* size for brand TEST YET AGAIN */
    font-size: xx-large;
}

/* colors for brand */
nav .navbar-brand .blue
{
    color: #537fbe;
}
nav .navbar-brand .red
{
    color: #ea433b;
}
nav .navbar-brand .yellow
{
    color: #f5b82e;
}
nav .navbar-brand .green
{
    color: #2e944b;
}

main .form-control
{
    /* center form controls */
    display: inline-block;

    /* override Bootstrap's 100% width for form controls */
    width: auto;
}

main
{
    /* scroll horizontally as needed */
    overflow-x: auto;

    /* center contents */
    text-align: center;
}

main img
{
    /* constrain images on small screens */
    max-width: 100%;
}

.class-header {
  font-weight:bold;
  text-shadow:-2px 0 green, 0 1px black, 1px 0 black, 0 -1px #000;
  font-size:200%
}

.print-header {
  font-weight:bold;
  text-align:center;
  font-size:150%;
  margin-bottom: 0px;
}

.empty-seat {
  border:1px solid black;
  color:#808080;
  font-size:150%;
}

.taken-seat {
  border:3px solid black;
  font-weight:bold;
}

.front-text {
  font-size:100%;
}

.group-name {
  font-size:50%;
}

.crossed
{
   background-image: linear-gradient(to bottom right,  transparent calc(50% - 1px), black, transparent calc(50% + 1px));
}

.uncrossed
{
  background-image:  none;
}

.seat-number {
  font-size:75%;
  text-align: right;
}

.td {
  position: relative;
}

.seatBox {
  width: 10%;
  text-align: center;
  height: 91px;
  border-radius: 20px;
}

.nameBox {
  font-size:70%;
}

.printNames {
  font-size:125%;
}

.displayNames{
  font-size:175%;
}

.attendDays {
  font-size:9px;
}

#groups {
  font-size: 18px;
}
#workspace {
  border: 2px solid black;
  height: 650px;
  width:  900px;
  position: relative;
  margin: auto;
  background-color: honeydew;
}

/* used on index page */
h3
{
  color:  green;
  font-weight: bold;
  font-style: italic;
}

#printWorkspace {
  height: 666px;
  width:  710px;
  position: relative;
  bottom: 25px;
  top: 5px;
  left: -120px;
  margin: auto;
  background-color: white;
}

#extraspace {
  border: 2px solid black;
  height: 200px;
  width:  900px;
  position: relative;
  margin: auto;
  background-color: honeydew;
}

#extraHeader {
  text-align: center;
  font-weight: bold;
  font-size: 18px;
}

.errorName {
  color: red;
}

.okName {
  color: black;
}

/* for "honeypot" field to try to block spam */

.ohnohoney{
  opacity: 0;
  position: absolute;
  top: 0;
  left: 0;
  height: 0;
  width: 0;
  z-index: -1;
}

/* the following styles are for the upload file system from https://bl.ocks.org/HarryStevens/0ce529b9b5e4ea17f8db25324423818f */
#enter-data-field {
   width: calc(100% - 8px);
   height: 300px;
   font-family: "Consolas", monospace;
 }
 #update-data-from-file {
   display: none;
 }
 .file-upload {
   height: 40px;
   margin-bottom: 10px;
 }
 .file-upload-button, .file-upload-name {
   display: inline-block;
 }
 .button {
   box-shadow: 0 1px 3px rgba(0,0,0,0.12), 0 1px 2px rgba(0,0,0,0.24);
   transition: all 0.3s cubic-bezier(.25,.8,.25,1);
   background: #45b29d;
   color: #fff;
   cursor: pointer;
   padding: 10px;
   display: inline-block;
 }
 .button:hover {
   box-shadow: 0 3px 6px rgba(0,0,0,0.16), 0 3px 6px rgba(0,0,0,0.23);
 }

.gradeTable {
  font-size: 50%;
}

.gradeCellHeader {
  border-top: 1px solid black;
  border-left: 1px solid black;
  border-bottom: 1px solid black;
}

.gradeCount {
  border-top: 1px solid black;
  border-right: 1px solid black;
  border-bottom: 1px solid black;
}

#saveMsg {
  background-color: white;
  color: red;
}

#errMsg {
  background-color: white;
  color: red;
}

.gradeDisp {
  font-size:  50%;
}

ul {
  list-style-position: inside;
}

#features {
  text-align: left;
}

.gridTable {
  border: 1px solid black;
  border-collapse:  collapse;
}

.gridHeader {
  border: 2px solid black;
  border-collapse:  collapse;
}

.gridCell {
  border: 1px solid black;
  border-collapse:  collapse;
}

#displayTable {
  width: 100%;
  border-spacing: 30px;
  border: 1px solid black;
}

.groupTableCell {
  font-size:35px;
  border: 1px solid black;
}